BHND(4)

NAME
bhnd - Broadcom Home Networking Division interconnect bus

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device bhnd

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    bhnd_load="YES"

DESCRIPTION
The bhnd driver provides a unified kernel bus interface to the on-chip interconnects used in Broadcom Home Networking Division (HND) devices.

The Broadcom HND device family consists of SoCs (System On a Chip) and host-connected chipsets based on a common library of Broadcom IP cores connected via an internal hardware bus architecture. Drivers for these cores are implemented against the unified bhnd interface.

The Sonic Inc. Silicon Backplane used in earlier HND devices is supported by the siba(4) BHND driver.

The ARM AMBA-based interconnect used in later HND devices is supported by the bcma(4) BHND driver.

SEE ALSO
bhndb(4), bcma(4), siba(4)

HISTORY
The bhnd device driver first appeared in FreeBSD 11.0.

AUTHORS
-nosplit The bhnd driver was written by Landon Fuller <landonf@FreeBSD.org>.